<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="fr.ge.exchange.dao.MailMessageDAO">

    <resultMap id="mailMessageMap" type="fr.ge.exchange.bean.MailMessage">
        <result property="trackerId" column="TRACKERID" />
        <result property="deliveryId" column="DELIVERYID" />
        <result property="deliveryModeId" column="DELIVERYMODEID" />
        <result property="deliveryCode" column="DELIVERYCODE" />
        <result property="recipientName" column="RECIPIENTNAME" />
        <result property="recipientAddress" column="RECIPIENTADDRESS" />
        <result property="recipientPostalCode" column="RECIPIENTPOSTALCODE" />
        <result property="recipientCity" column="RECIPIENTCITY" />
        <result property="attachmentPath" column="ATTACHMENTPATH" />
        <result property="datePostmail" column="DATEPOSTMAIL" />
        <result property="numberPages" column="NUMBERPAGES" />
        <result property="channel" column="CHANNEL" />
        <result property="urgency" column="URGENCY" />
        <result property="status" column="STATUS" />
        <result property="numreco" column="NUMRECO" />
    </resultMap>

    <select id="read" statementType="PREPARED" resultMap="mailMessageMap">
        SELECT trackerId, deliveryId, deliveryModeId, deliveryCode,recipientName, recipientAddress, recipientPostalCode, 
          recipientCity, attachmentPath, datePostmail, numberPages, channel, urgency, status, numreco
		FROM postmail
		WHERE trackerId = #{trackerId}
    </select>
    
	 <insert id="create" parameterType="fr.ge.exchange.bean.MailMessage">
	    insert into postmail (trackerId, deliveryModeId, recipientName, recipientAddress, recipientPostalCode, recipientCity, attachmentPath) 
	    values (#{mailMessage.trackerId}, #{mailMessage.deliveryModeId}, #{mailMessage.recipientName}, #{mailMessage.recipientAddress}, #{mailMessage.recipientPostalCode}, #{mailMessage.recipientCity}, #{mailMessage.attachmentPath})
	 </insert>
	 
	 <update id="update" statementType="PREPARED" parameterType="fr.ge.exchange.bean.MailMessage">
	 	update postmail 
	 	set numberPages = #{mailMessage.numberPages}, 
	 	channel = #{mailMessage.channel}, 
	 	urgency = #{mailMessage.urgency},
	 	status = #{mailMessage.status},
	 	numreco = #{mailMessage.numreco},
	 	deliveryCode = #{mailMessage.deliveryCode},
	 	deliveryId = #{mailMessage.deliveryId}
	 	where trackerId = #{mailMessage.trackerId}
	 </update>

</mapper>
